Subject: Re: bug#25395: 25.1; Emacs/W3 crashes on every url with elisp error (void-variable w3--args)

From: Stefan Kangas <[email-masked]>
Date: Sat, 02 Nov 2019 14:38:33 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Glenn Morris <[email-masked]> writes:
>
>>> Still, doesn't seem actively maintained, based on
>>> http://git.savannah.gnu.org/cgit/emacs/elpa.git/?h=externals/w3
>>
>> To expand on this:
>>
>> According to the above url:
>> The package was last developed 8.5 years ago.
>> It was added to elpa.gnu.org 3 years ago, with 4 commits.
>> The error you are seeing comes from one of those commits ("try to fix
>> compiler warnings"). "M-x w3" has the same error. So I can only
>> assume this package has not been tested or used by anyone since it was
>> added to elpa.gnu.org.
>> So I have to wonder what the value of having it there is.
>>
>> I suggest you use M-x eww instead, and that if no-one wants to maintain
>> w3 it be removed from elpa.gnu.org.
>
> (This was two years ago.)
>
> I agree -- when it doesn't even start up with `M-x w3' it seems pretty
> useless to have in GNU ELPA.
>
> How does one remove something from ELPA?

Indeed, the development seems to have completely stalled.  See also:
1. https://lists.gnu.org/archive/html/w3-dev/
2. https://git.savannah.nongnu.org/cgit/w3.git

Here's a patch to remove anything that seems related to it from the
ELPA repository.  Is there anything else that needs doing?

Stefan Monnier, do you know the answer to this question?

Best regards,
Stefan Kangas

diff --git a/.gitignore b/.gitignore
index be5cc5cca..ef445c38f 100644
--- a/.gitignore
+++ b/.gitignore
@@ -68,7 +68,6 @@ packages/svg/
 packages/system-packages/
 packages/tramp/
 packages/verilog-mode/
-packages/w3/
 packages/webfeeder/
 packages/wisitoken-grammar-mode/
 packages/xelb/
diff --git a/copyright_exceptions b/copyright_exceptions
index e618db911..088465728 100644
--- a/copyright_exceptions
+++ b/copyright_exceptions
@@ -53,4 +53,3 @@
 ./uni-confusables/uni-confusables.el
 ./uni-confusables/uni-confusables.el:;; Copyright (C) 1991-2009, 2010 Unicode, Inc.
 ./uni-confusables/uni-confusables.el:;; for the copyright and permission notice.
-./w3/w3-cus.el:  ;; Glossary, Copyright, Chapter, Section, Subsection, Appendix,
diff --git a/externals-list b/externals-list
index 74e73c190..7e5556435 100644
--- a/externals-list
+++ b/externals-list
@@ -146,7 +146,6 @@
  ("tramp"		:external "https://git.savannah.gnu.org/cgit/tramp.git/?h=elpa")
  ;;FIXME:("vlf"		:subtree ??)
  ("verilog-mode"        :core "lisp/progmodes/verilog-mode.el")
- ("w3"			:external nil)
  ("wcheck-mode"		:subtree "https://github.com/tlikonen/wcheck-mode.git")
  ("web-server"		:subtree "https://github.com/eschulte/emacs-web-server.git")
  ("webfeeder"		:external "https://gitlab.com/ambrevar/emacs-webfeeder.git")